(function() {

	var pluginName = 'twinimg';

	CKEDITOR.plugins.add(pluginName, {
        lang : 'ru,en,pl',
		init : function(editor) {

			editor.addCommand(pluginName,new CKEDITOR.dialogCommand( 'twinimg' ));
			if ( editor.contextMenu ) {
				editor.addMenuGroup( 'twinimg' );
				editor.addMenuItem( 'twinimg', {
					label: 'Редактировать twinimg ',
					icon: this.path + 'icon.png',
					command: 'twinimg',
					group: 'twinimg'
				});

				editor.contextMenu.addListener( function( element ) {
					if ( element.getAscendant( 'twinimg', true ) ) {
						return { abbrItem: CKEDITOR.TRISTATE_OFF };
					}
				});
			}
			CKEDITOR.dialog.add(pluginName, this.path + 'dialogs/twinimg.js' );

			editor.ui.addButton('twinimg', {
				label : 'Изображение с эффектом до и после',
				command : pluginName,
				icon : this.path + 'icon.png',
				toolbar: 'insert,2'
			});
			editor.on( 'doubleclick', function( evt ) {
				var element = evt.data.element;
				if ( $(element).attr('class') == 'twinimg' )
					evt.data.dialog = 'twinimg';
			}, null,null,1 );
		}
	});

})();
